# EventHttpRequest::findHeader

(PECL event >= 1.4.0-beta)

EventHttpRequest::findHeader — Cherche la valeur d'un en-tête

### Description

public EventHttpRequest::findHeader( string `$key` , string `$type` ): void

Cherche la valeur d'un en-tête.

### Liste de paramètres

`key`

  Le nom de l'en-tête.

`type`

  Une des constantes `EventHttpRequest::*_HEADER`.

### Valeurs de retour

Retourne `null` si l'en-tête n'a pas été trouvé.

### Voir aussi

- EventHttpRequest::addHeader() - Ajoute un en-tête HTTP aux en-têtes de la requête